RARP(8)

NAME
rarp - Manipulation des RARP-Caches

SYNOPSIS
rarp [-V] [--version] [-h] [--help]
rarp -a
rarp [-v] -d Rechnername ...
rarp [-v] [-t type] -s Rechnername hw_addr

BESCHREIBUNG
Rarp kann die RARP-Tabelle des Kernels auf verschiedene Arten manipulieren. Die wichtigsten Anwendungen sind das Löschen und manuelle Erstellen von Einträgen. Zur Fehlersuche kann rarp die RARP-Tabelle vollständig ausgeben.

OPTIONEN

-V  Zeigt die Version von rarp(8) an.

-v  Schaltet ausführliche Ausgaben an.

-t Typ
    Beim Auslesen oder Setzen der RARP-Tabelle teilt dieses optionale Argument rarp mit, welche Klasse von Einträgen bearbeitet wird. Die Voreinstellung für diesen Wert ist ether (z.B. Hardwarecode 0x01 für IEEE 802.3 10Mbps Ethernet . Andere Werte können Netzwerkstechniken wie z.B. AX.25 (ax25) und NET/ROM (netrom) sein.

-a

--list
    Druckt die Einträge der RARP-Tabelle aus.

-d Rechnername

--delete Rechnername
    Alle RARP-Einträge für den gegebenen Rechner löschen.

-s Rechnername hw_addr

--set hostname hw_addr
    Erzeugt einen Eintrag in der RARP-Tabelle für den Rechner Rechnername dessen Hardwareadresse auf hw_addr gesetzt ist. Das Format der Hardware Adresse ist von der Hardwareklasse abhängig. Für die meisten Hardwareklassen wird die übliche Repräsentation verwendet. Für die Ethernetklasse sind dies sechs hexadezimale, durch Doppelpunkte getrennte Bytes.

WARNUNG
Einige Systeme, insbesondere alte Suns, gehen davon aus, daß das System, das RARP-Anfragen beantwortet auch weitere Bootdienste anbietet. Deshalb sollten niemals einfach beliebige RARP-Einträge erzeugt werden, außer man möchte einen Netzwerksverwalter in seiner Rollte als BOFH erleben.

DATEIEN
/proc/net/rarp,

SIEHE AUCH
arp(8), route(8), ifconfig(8), netstat(8)

AUTOREN
Ross D. Martin, <martin@trcsun3.eas.asu.edu>
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
Phil Blundell, <Philip.Blundell@pobox.com>

Übersetzung
Ralf Bächle <ralf@linux-mips.org>